Subject: Re: [Fwd: Mapped IPv6 Flow label]

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Aug 2001 08:50:07 -0500

Pekka,

> From: Pekka Savola <[email-masked]>
> To: <[email-masked]>
> 
> Hello all,
> 
> [ http://www.ietf.org/internet-drafts/draft-conta-ipv6-flow-label-02.txt ]
> 
> The ipv6 flow label draft presented at IETF51 generated a lot of
> discussion; basically UDP/TCP port numbers and some other data is mapped
> into the proposed Flow label field.

No, the actual proposal is to use the PHB ID, since there is no reversible
mapping of port numbers.

> 
> The concern on the security, and reliability, of this were raised, and
> rightly so (I agree), but IMO the main point is this:
> 
> Currently, Edge routers or hosts themselves, set DSCP/Traffic Class bits
> in the datagrams after looking at UDP/TCP ports, or some other,
> functionally equivalent data.  Traffic class is of limited size and has no
> global meaning.
> 
> With separate, sufficiently long Flow Label field, DiffServ model _could_
> be extended so that the core routers themselves (or Edge/Border routers
> mode scalably) could perform classification and differentiation. The data
> -> Flow Label mapping only has to be done once, and it's in a fixed
> position in the header.  The policy within different AS's, how to deal
> with specific packets, could be (mostly) covered.  The packet wouldn't
> have to reclassified at the border.

But the flow label field *is not* sufficiently long for this. That's why
we propose the PHB ID. See my response to Steve Blake for the discussion
of that.

 > Were it not for reliability, layer violation, the function of core
> routers, etc. considerations, this _could_ be viewed as a Good Thing for
> enabling easier _Internet-wide_ QoS.  This is perhaps one "justification"
> for the author for introducing this behaviour.

Layer violation is an intrinsic part of QoS classification so that isn't
an issue. The real decision depends on the trust and security issues
raised by Steve Blake and Bill Somerfeld.

> Just bringing up one point about DiffServ which was not all that possible
> with IPv4..

Indeed, that was the motivation for the draft. If we can devise a way to use
the flow label, it is a plus point. But if we accept Steve and Bill's
arguments, it is impossible.

  Brian
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------